Subject: RE: bug#3042: 23.0.92; display-visual class doc

From: "Drew Adams" <[email-masked]>
Date: Sat, 18 Apr 2009 12:32:35 -0700

> The doc does not explain what the possible values mean. There are no
> other occurrences of the various values (e.g. `static-color') in the
> Elisp manual or other doc strings (that I can find) than what is said
> about `display-visual-class'.
>  
> To use a function, it helps to know its possible values, but if you
> have no idea what those values indicate or mean, then you really don't
> know much about the function.
>  
> Grepping the Emacs sources doesn't really help here either. Looking at
> the definition of `display-visual-class', you can at least learn
> something (partial) about `static-color' and `static-gray', but that's
> about it.

Not being very knowledgeable in this area, I googled a bit. "Color cell" didn't
turn up much. This term needs explaining, no doubt.

Wikipedia helped with this page, which I got to after looking at the bit-plane
page:
http://en.wikipedia.org/wiki/Color_depth. We might draw on its description of
"direct color" and "true color", for example. I'm guessing that what we call
"static color" might be what that page calls "indexed color"? If so, perhaps we
should also mention that term, if it's commonly used.

HTH.